<template>
  <div>
    <!-- Desktop -->
    <div class="gt-md mainWidth">
      <top-bar />
      <div class="content">
        <cat-multi @loadBook="loadBook" />
        <div class="row q-pt-lg" v-show="dataLength > 0">
          <div
            style="width: 20%"
            v-for="(item, index) in dataShow"
            :key="index"
          >
            <book-cover :bookData="dataShow[index]" />
          </div>
        </div>
        <div class="q-pa-lg flex flex-center" v-show="dataLength > 0">
          <q-pagination
            v-model="page"
            color="primary"
            :max="totalPage"
            :max-pages="6"
            boundary-links
            @input="loadDataShow()"
          />
        </div>
        <div v-show="dataLength == 0" class="noDataDiv">
          <div>
            <img
              src="../../public/image/exclaim.svg"
              style="width: 100px"
              alt=""
            />
          </div>
          ไม่พบข้อมูล
        </div>
        <div class="q-pb-md">
          <ads-show />
        </div>
      </div>
    </div>

    <!-- tablet -->
    <div class="lt-lg gt-xs mainWidth">
      <top-bar />
      <div class="content">
        <cat-multi @loadBook="loadBook" />
        <div class="row q-pt-lg" v-show="dataLength > 0">
          <div
            style="width: 25%"
            v-for="(item, index) in dataShow"
            :key="index"
          >
            <book-cover :bookData="dataShow[index]" />
          </div>
        </div>
        <div class="q-pa-lg flex flex-center" v-show="dataLength > 0">
          <q-pagination
            v-model="page"
            color="primary"
            :max="totalPage"
            :max-pages="6"
            boundary-links
            @input="loadDataShow()"
          />
        </div>
        <div v-show="dataLength == 0" class="noDataDiv">
          <div>
            <img
              src="../../public/image/exclaim.svg"
              style="width: 100px"
              alt=""
            />
          </div>
          ไม่พบข้อมูล
        </div>
        <div class="q-pb-md">
          <ads-show />
        </div>
      </div>
    </div>

    <!-- mobile -->
    <div class="lt-sm mainWidth">
      <top-bar />
      <div class="content">
        <cat-multi @loadBook="loadBook" />
        <div class="row q-pt-lg" v-show="dataLength > 0">
          <div
            style="width: 50%"
            v-for="(item, index) in dataShow"
            :key="index"
          >
            <book-cover :bookData="dataShow[index]" />
          </div>
        </div>
        <div class="q-pa-lg flex flex-center" v-show="dataLength > 0">
          <q-pagination
            v-model="page"
            color="primary"
            :max="totalPage"
            :max-pages="6"
            boundary-links
            @input="loadDataShow()"
          />
        </div>
        <div v-show="dataLength == 0" class="noDataDiv">
          <div>
            <img
              src="../../public/image/exclaim.svg"
              style="width: 100px"
              alt=""
            />
          </div>
          ไม่พบข้อมูล
        </div>
        <div class="q-pb-md">
          <ads-show />
        </div>
      </div>
      <a href="#" class="float" style="padding-top: 15px">
        <img src="../../public/image/arrowup.svg" style="height: 24px" alt="" />
      </a>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import topBar from "../components/topbar.vue";
import catMulti from "../components/categorymulti.vue";
import bookCover from "../components/bookcover.vue";
import adsShow from "../components/ads.vue";
export default {
  components: { topBar, catMulti, bookCover, adsShow },

  data() {
    return {
      data: [],
      dataLength: 0,
      page: 1,
      dataShow: [],
      bookPerPage: 60,
      totalPage: 1,
    };
  },
  methods: {
    async loadBook(dataSend) {
      if (dataSend.catid.length != 0) {
        let url = this.serverpath + "fe_loadbookwithcat.php";
        let res = await axios.post(url, JSON.stringify(dataSend));
        this.data = res.data;
      } else {
        this.data = [];
      }
      this.dataLength = this.data.length;
      this.totalPage = Math.ceil(this.dataLength / this.bookPerPage);
      this.loadDataShow();
    },
    loadDataShow() {
      let startBook = (this.page - 1) * this.bookPerPage;
      this.dataShow = this.data.slice(startBook, startBook + this.bookPerPage);
    },
  },
  mounted() {
    // if (this.$route.params.cat != null) {
    //   let catInit = "[" + this.$route.params.cat + "]";
    //   let temp = {
    //     catid: catInit,
    //   };
    //   this.loadBook(temp);
    // }
  },
};
</script>

<style lang="scss" scoped>
.content {
  margin-top: 70px;
}
.noDataDiv {
  height: 500px;
  padding-top: 130px;
  text-align: center;
}
.float {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 20px;
  right: 20px;
  background-color: #2d6be4;
  color: #fff;
  border-radius: 50px;
  text-align: center;
}
</style>
